# H245_CommunicationModeTableEntry Class Reference

`#include <h245.h>`

Inheritance diagram for H245_CommunicationModeTableEntry:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandard, e_associatedSessionID, e_terminalLabel, e_mediaChannel, e_mediaGuaranteedDelivery, e_mediaControlChannel, e_mediaControlGuaranteedDelivery, e_redundancyEncoding, e_sessionDependency, e_destination }

## Public Member Functions

| H245_CommunicationModeTableEntry (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_ArrayOf_NonStandardParameter | m_nonStandard
PASN_Integer | m_sessionID
PASN_Integer | m_associatedSessionID
H245_TerminalLabel | m_terminalLabel
PASN_BMPString | m_sessionDescription
H245_CommunicationModeTableEntry_dataType | m_dataType
H245_TransportAddress | m_mediaChannel
PASN_Boolean | m_mediaGuaranteedDelivery
H245_TransportAddress | m_mediaControlChannel
PASN_Boolean | m_mediaControlGuaranteedDelivery
H245_RedundancyEncoding | m_redundancyEncoding
PASN_Integer | m_sessionDependency
H245_TerminalLabel | m_destination

## Member Enumeration Documentation

enum H245_CommunicationModeTableEntry::OptionalFields

Enumerator:

  e_nonStandard |
  e_associatedSessionID |
  e_terminalLabel |
  e_mediaChannel |
  e_mediaGuaranteedDelivery |
  e_mediaControlChannel |
  e_mediaControlGuaranteedDelivery |
  e_redundancyEncoding |
  e_sessionDependency |
  e_destination |

## Constructor & Destructor Documentation

H245_CommunicationModeTableEntry::H245_CommunicationModeTableEntry | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_CommunicationModeTableEntry::GetDataLength | ( |  | ) | const

PBoolean H245_CommunicationModeTableEntry::Decode | ( | PASN_Stream & | strm | ) |

void H245_CommunicationModeTableEntry::Encode | ( | PASN_Stream & | strm | ) | const

void H245_CommunicationModeTableEntry::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_CommunicationModeTableEntry::Compare | ( | const PObject & | obj | ) | const

PObject* H245_CommunicationModeTableEntry::Clone | ( |  | ) | const

## Member Data Documentation

H245_ArrayOf_NonStandardParameter H245_CommunicationModeTableEntry::m_nonStandard

PASN_Integer H245_CommunicationModeTableEntry::m_sessionID

PASN_Integer H245_CommunicationModeTableEntry::m_associatedSessionID

H245_TerminalLabel H245_CommunicationModeTableEntry::m_terminalLabel

PASN_BMPString H245_CommunicationModeTableEntry::m_sessionDescription

H245_CommunicationModeTableEntry_dataType H245_CommunicationModeTableEntry::m_dataType

H245_TransportAddress H245_CommunicationModeTableEntry::m_mediaChannel

PASN_Boolean H245_CommunicationModeTableEntry::m_mediaGuaranteedDelivery

H245_TransportAddress H245_CommunicationModeTableEntry::m_mediaControlChannel

PASN_Boolean H245_CommunicationModeTableEntry::m_mediaControlGuaranteedDelivery

H245_RedundancyEncoding H245_CommunicationModeTableEntry::m_redundancyEncoding

PASN_Integer H245_CommunicationModeTableEntry::m_sessionDependency

H245_TerminalLabel H245_CommunicationModeTableEntry::m_destination

The documentation for this class was generated from the following file:

- h245.h